Documentation Index Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
This API allows users to track the status of ongoing or completed jobs related to tools or models. After triggering operations like import , export , deploy , or undeploy , this api is used to get real-time updates on progress, success, or failure, enabling efficient monitoring of execution.
Method GET Endpoint https://{host}/api/public/dock-status/{<i>dockStatusId</i>}Content Type application/json Authorization X-api-key - The API key used for authentication.
Where can I find the API key?
To use the API, you will need an API key. Learn more .
QPath Parameters
PARAMETER DESCRIPTION TYPE REQUIRED/OPTIONAL host The environment URL. For example, https://agent-platform.domain.ai/ String Required dockStatusId The dock status ID that’s received in the response. String Required
Sample Request
curl -- location 'https://{host}/api/public/dock-status/ds-24xxxxx3-0xxc-5xx5-axx3-c19xxxxxxxx8'
-- header 'x-api-key: kg-abxxxxx7-5xx3-5xx8-bxxb-9xxxx'
Body Parameters
No parameters are passed.
Sample Response
{
"_id" : "{id}" ,
"toolId" : "{toolid}" ,
"jobType" : "{jobtype}" ,
"action" : "{action}" ,
"status" : "{status}"
}
Response Parameters
PARAMETER DESCRIPTION TYPE SAMPLE VALUE(S) _id The unique identifier for the dock status. String ds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8 toolId The unique identifier for the tool. String a-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6 jobType Type of job being performed. String TOOLS, MODELS, or GUARDRAILSaction The action being performed on the tool/model. String IIMPORT, EXPORT, DEPLOY, or UNDEPLOY status The current status of the job. String IN_PROGRESS, SUCCESS, or FAILED